Confirm Account Domain Verification

This document contains details for the /api/v1/account/{accountUuid}/domain/{domainUuid}/confirm endpoint, including how to confirm domain verification and the response example.

Use this endpoint to confirm the account domain verification method and verification info. The domain is then added to the verification queue.

Endpoint

Method

PATCH

Request URL

/api/v1/account/{accountUuid}/domain/{domainUuid}/confirm

Headers

Authorization *

Bearer TOKEN

Content-Type

application/json

Request

accountUuid *

Target account UUID

domainUuid *

Account domain UUID

Response example

If the domain verification is confirmed, you will get response code 200 and the domain info.

{
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "domain": "google.com",
    "status": "UNVERIFIED",
    "verifyInfo" : {
        "domain": "_whitedoc-verify",
        "value": "abc123"
    },
    "verifyMethod": "DNS_TXT_RECORD"
}

Last updated